#include "testslot.h"
#include <functional>


TestSlot::TestSlot(QWidget *parent)
	: QMainWindow(parent)
{
	ui.setupUi(this);


	connect(this, &TestSlot::testSignal, this, &TestSlot::testSlot);

	std::tr1::bind(&TestSlot::testSlot, this)();

	//connect(this, &TestSlot::testSignal, this, std::tr1::bind(&TestSlot::testSlot, this));//complie failed 1.jpg

	QTcpSocket *socket = new QTcpSocket(this);

	connect(socket, &QTcpSocket::error, this, &TestSlot::error); //complie failed, 2.jpg

	connect(this, &TestSlot::error, this, &TestSlot::displayError);

}

TestSlot::~TestSlot()
{

}

void TestSlot::testSlot()
{

}

void TestSlot::displayError( QAbstractSocket::SocketError socketError )
{

}
